Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xslt.res
Class XSLTResourceBundle

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--java.util.ListResourceBundle
                  |
                  +--weblogic.apache.xalan.xslt.res.XSLTResourceBundle

Direct Known Subclasses:
  XSLTResources_cy, XSLTResources_el, XSLTResources_en, XSLTResources_he, XSLTResources_hy, XSLTResources_ja_JP_A, XSLTResources_ja_JP_HA, XSLTResources_ja_JP_HI, XSLTResources_ja_JP_I, XSLTResources_ka, XSLTResources_zh_CN, XSLTResources_zh_TW

public class XSLTResourceBundle
extends java.util.ListResourceBundle

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`XSLTResourceBundle()`

Method Summary
`java.lang.Object[][]` | `getContents()`
`static XSLTResourceBundle` | `loadResourceBundle(java.lang.String className, java.util.Locale locale)` Return a named ResourceBundle for a particular locale.

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTResourceBundle

    public XSLTResourceBundle()

Method Detail

### loadResourceBundle

    public static final XSLTResourceBundle loadResourceBundle(java.lang.String className,
                                                              java.util.Locale locale)
                                                       throws java.util.MissingResourceException

  Return a named ResourceBundle for a particular locale. This method mimics the behavior of ResourceBundle.getBundle().

  Parameters:
    `res` - the name of the resource to load.
    `locale` - the locale to prefer when searching for the bundle
  Returns:
    the ResourceBundle
  Throws:
    java.util.MissingResourceException -

### getContents

    public java.lang.Object[][] getContents()

  Overrides:
    getContents in class java.util.ListResourceBundle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD